lib/test/ documentation is too weak

08/12/2013 12:22 PM - zzak (zzak _)

Status: Closed   

Priority: Normal   

Assignee: sorah (Sorah Fukumori)   

Target version:    

ruby -v: 2.1.0dev Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN

Description

sora-san when you are well-fed and well-rested: what do you propose for lib/test/ documentation?

I suggest 'nodoc' the majority of it adding a note about 'compatibility layer' to top-level module.

However, I realize there may be some test-unit users still.

I am willing to document existing functionality of lib/test/ if 'nodoc' is rejected.

Using RDoc: I have generated a coverage report of current lib/test/: https://gist.github.com/zzak/6208031

Associated revisions

Revision b8ef79884b8cc592a46b21ac47da803bfab8a107 - 08/19/2013 05:36 PM - zzak (zzak _)

lib/test/: [DOC] Document Test::Unit, hide most submodules and

classes from rdoc. Since lib/test is only present as a compatibility

layer with the legacy test suite many test/unit users will be using

minitest or the test/unit gem instead. It is recommended to use one

of these alternatives for writing new tests.

This patch was based on a patch submitted by Steve Klabnik.

[ruby-core:56694] [Bug #8778]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42632 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b8ef7988 - 08/19/2013 05:36 PM - zzak (zzak _)

lib/test/: [DOC] Document Test::Unit, hide most submodules and

classes from rdoc. Since lib/test is only present as a compatibility

layer with the legacy test suite many test/unit users will be using

minitest or the test/unit gem instead. It is recommended to use one

of these alternatives for writing new tests.

This patch was based on a patch submitted by Steve Klabnik.

[ruby-core:56694] [Bug #8778]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42632 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/12/2013 12:24 PM - zzak (zzak _)

- Description updated

#2 - 08/16/2013 11:33 PM - sorah (Sorah Fukumori)

Sorry for late reply,

This is okay for me, if there is no objection.
https://gist.github.com/zzak/6208031


Does anyone have objection for this?

#3 - 08/18/2013 03:09 AM - steveklabnik (Steve Klabnik)

- File 0001-Bring-Test-Unit-up-to-100-documentation.patch added

I have attached a patch that will do this. If there is no objection, please feel free to apply it. :)

#4 - 08/20/2013 02:36 AM - zzak (zzak _)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r42632.

Zachary, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/test/: [DOC] Document Test::Unit, hide most submodules and

classes from rdoc. Since lib/test is only present as a compatibility

layer with the legacy test suite many test/unit users will be using

minitest or the test/unit gem instead. It is recommended to use one

of these alternatives for writing new tests.

This patch was based on a patch submitted by Steve Klabnik.

[ruby-core:56694] [Bug #8778]

Files

0001-Bring-Test-Unit-up-to-100-documentation.patch 16.7 KB 08/18/2013 steveklabnik (Steve Klabnik)
